pcl::detail::AccumulatorLabel Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

typedef pcl::traits::has_label< boost::mpl::_1 > | IsCompatible

## Public Member Functions

| AccumulatorLabel ()
template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, size_t) const

## Public Attributes

std::map< uint32_t, size_t > | labels

## Detailed Description

Definition at line 188 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

typedef pcl::traits::has_label<boost::mpl::_1> pcl::detail::AccumulatorLabel::IsCompatible

Definition at line 192 of file accumulators.hpp.

## Constructor & Destructor Documentation

## AccumulatorLabel()

pcl::detail::AccumulatorLabel::AccumulatorLabel | ( |  | ) |

inline

Definition at line 198 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT >

void pcl::detail::AccumulatorLabel::add | ( | const PointT & | t | ) |

inline

Definition at line 201 of file accumulators.hpp.

## get()

template<typename PointT >

void pcl::detail::AccumulatorLabel::get | ( | PointT & | t,
|  | size_t |
| ) |  | const

inline

Definition at line 211 of file accumulators.hpp.

## Member Data Documentation

## labels

std::map<uint32_t, size_t> pcl::detail::AccumulatorLabel::labels

Definition at line 196 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/common/impl/accumulators.hpp